/*
 * @Author: jiangzaicheng jiangzaicheng_jzc@163.com
 * @Date: 2022-07-04 15:41:06
 * @LastEditors: jiangzaicheng jiangzaicheng_jzc@163.com
 * @LastEditTime: 2022-08-18 13:50:06
 * @FilePath: \mcep-h5\src\router\index.ts
 * @Description: 这是默认设置,请设置`customMade`, 打开koroFileHeader查看配置 进行设置: https://github.com/OBKoro1/koro1FileHeader/wiki/%E9%85%8D%E7%BD%AE
 */
import Vue from "vue";
import VueRouter, { Route, RouteConfig } from "vue-router";
import { Code } from "@/constants/enum/general/code.enum";

// import mainRoutes from "@/router/main.routing";
// import customerRoutes from "@/router/customer.mgt.routing";
// import marketingRoutes from "@/router/marketing.mgt.routing";
import workbenchRoutes from "@/router/workbench.routing";
import loginRoutes from "./login.mgt.routing";
import productRoutes from "./product.mgt.routing";
import mypageRoutes from "./mypage.mgt.routing";
import depositInterestTrialRoutes from "@/router/depositInterestTrial.routing";
import manageMoneyProductRoutes from "@/router/manageMoneyProduct.routing";
import selfHelpLoanRoutes from "@/router/SelfHelpLoan.routing";



Vue.use(VueRouter);

const routes: Array<RouteConfig> = [
  {
    path: "/",
    redirect: `/login`,
    meta: { keepAlive: false, requiresAuth: true },
  },
  {
    path: "/login",
    name:"login",
    component: () => import(/* webpackChunkName: "login" */ "@/views/authentication/LoginView.vue"),
    //component: () => import(/* webpackChunkName: "login" */ "@/components/common/Tool.vue"),
    meta: { keepAlive: false, requiresAuth: true },
  },
  //...mainRoutes,
  // ...customerRoutes,
  // ...marketingRoutes,
  ...workbenchRoutes,
  ...loginRoutes,
  ...productRoutes,
  ...mypageRoutes,
  ...depositInterestTrialRoutes,
  ...manageMoneyProductRoutes,
  ...selfHelpLoanRoutes,
];

const router = new VueRouter({
  mode: "hash",
  base: process.env.VUE_APP_BASEURL,
  routes,
});

router.beforeEach((to: Route, from: Route, next: () => void) => {
  //   router.app.$routeTopologyService.checkAndInit(router);
  //   if (to.matched.some((record: any) => record.meta && record.meta.requiresAuth)) {
  //     router.app.$oauthService
  //       .checkAndLogin()
  //       .then((res: RestfulResponse) => {
  //         if (res.code === Code.SUCCESS.code) {
  //           router.app.$globalStateService.isLogin = true;
  //         }
  //         return Promise.resolve(res);
  //       })
  //       .then((res: any) => {
  //         if (res.code === Code.SUCCESS.code) {
  //           next();
  //         }
  //       });
  //   } else {
  //     next();
  //   }
  next();
});
export default router;
